// STYLE A PROPOS

// IMPORT
@import "./propos-anim";

// UNIVERSEL
.container {

    // WRAPPER
    .propos-wrapper {
        position       : relative;
        display        : flex;
        flex-wrap      : wrap;
        flex-direction : row;
        justify-content: space-around;
        width          : 95%;
        max-width      : 1024px;
        margin         : 14rem 0 8rem 0;

        @include tablet {
            margin: 15rem 0 6rem 0;
        }

        &.sticked {
            margin: 18.3rem 0 8rem 0;

            @include tablet {
                margin: 19.3rem 0 6rem 0;
            }
        }

        // PROPOS TEXT
        .propos-left {
            display       : flex;
            flex-wrap     : wrap;
            flex-direction: column;
            width         : 45%;
            min-height    : 545px; 
            padding       : 1rem;
            text-align    : justify;
            line-height   : 1.5rem;

            @include tablet {
                width     : 60%;
                min-height: 545px; 
                padding   : 1rem;
                margin-top: 1rem;
            }

            @include inter {
                min-height: 580px; 
            }

            @include mobile {
                width: 90%;
            }

            p {
                padding-bottom: 2rem;

                #junior {
                    font-size     : 2rem;
                    letter-spacing: 0.3rem;

                    @include inter {
                        letter-spacing: 0;
                    }
                }
            }

            a,
            a:visited {
                color: $complementary;
                text-decoration: none;
            }

            // DOWNLOAD BUTTON DIV
            .download-cv {
                color: $complementary;
                text-decoration: none;

                .download {
                    opacity         : 0;
                    display         : flex;
                    flex-wrap       : wrap;
                    flex-direction  : row;
                    justify-content : space-between;
                    padding         : 1rem;
                    border-radius   : 0 0 10px 10px;
                    color           : #fff;
                    background-color: $complementary;

                    @include mobile {
                        opacity: 1; ///
                    }
    
                    &.animate {
                        opacity  : 1;
                        animation: 2000ms ease-out propos-download;
                    }

                    .pdf {
                        font-size: 0.9rem;
                    }

                    path {
                        fill: #fff;
                    }
                }
            }
        }
        
        // PROPOS APP
        .propos-right {
            position      : relative;
            display       : flex;
            flex-direction: column;
            align-items   : center;
            width         : 45%;
            padding       : 1rem;
            margin-top    : 3rem;

            @include tablet {
                height    : 300px;
                margin-top: 0rem;
            }

            @include mobile {
                width: 90%;
            }

            // CONTAINER CONTAINERS BOX
            .propos-container {
                border-radius: 15px;

                // CONTAINER BOX - UNIVERSAL
                .propos-container-box {
                    position      : relative;
                    display       : flex;
                    flex-direction: row;
                    width         : 300px;
                    height        : 150px;
    
                    // BOX - UNIVERSAL
                    .propos-box {
                        position       : absolute;
                        opacity        : 0;
                        display        : flex;
                        flex-direction : column;
                        justify-content: center;
                        align-items    : center;
                        width          : 150px;
                        height         : 150px;
                        color          : #fff;
                        cursor         : pointer;

                        @include mobile {
                            opacity: 1; ///
                        }
    
                        &.animate {
                            opacity  : 1;
                        }
    
                        &:hover {

                            .box-unclick {

                                .propos-logo {
                                    transform : translateY(0px);
                                    transition: 300ms ease-in-out;
                                }
        
                                p {
                                    opacity: 1;
                                    transition: 300ms ease-in-out;
                                }
                            }
                        }
    
                        &.click {
                            z-index: 1;
                            width  : 300px;
                            height : 300px;
                            cursor : default;
                        }

                        // BOX UNCLIKED
                        .box-unclick {
                            display        : flex;
                            flex-direction : column;
                            justify-content: center;
                            align-items    : center;

                            &.click {
                                display: none;
                            }

                            // BOX LOGO - UNIVERSAL
                            .propos-logo {
                                width        : 70px;
                                height       : 70px;
                                margin-bottom: 5px;
                                transform    : translateY(10px);
                            }
                            
                            // BOX TEXT - UNIVERSAL
                            p {
                                opacity: 0;
                            }
                        }

                        // BOX CLICK
                        .box-click {
                            position      : relative;
                            display       : none;
                            flex-direction: column;
                            width         : 300px;
                            height        : 300px;
                            animation     : 800ms ease propos-app-display;
                            background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='540' height='450' viewBox='0 0 1080 900'%3E%3Cg fill-opacity='.1'%3E%3Cpolygon fill='%23444' points='90 150 0 300 180 300'/%3E%3Cpolygon points='90 150 180 0 0 0'/%3E%3Cpolygon fill='%23AAA' points='270 150 360 0 180 0'/%3E%3Cpolygon fill='%23DDD' points='450 150 360 300 540 300'/%3E%3Cpolygon fill='%23999' points='450 150 540 0 360 0'/%3E%3Cpolygon points='630 150 540 300 720 300'/%3E%3Cpolygon fill='%23DDD' points='630 150 720 0 540 0'/%3E%3Cpolygon fill='%23444' points='810 150 720 300 900 300'/%3E%3Cpolygon fill='%23FFF' points='810 150 900 0 720 0'/%3E%3Cpolygon fill='%23DDD' points='990 150 900 300 1080 300'/%3E%3Cpolygon fill='%23444' points='990 150 1080 0 900 0'/%3E%3Cpolygon fill='%23DDD' points='90 450 0 600 180 600'/%3E%3Cpolygon points='90 450 180 300 0 300'/%3E%3Cpolygon fill='%23666' points='270 450 180 600 360 600'/%3E%3Cpolygon fill='%23AAA' points='270 450 360 300 180 300'/%3E%3Cpolygon fill='%23DDD' points='450 450 360 600 540 600'/%3E%3Cpolygon fill='%23999' points='450 450 540 300 360 300'/%3E%3Cpolygon fill='%23999' points='630 450 540 600 720 600'/%3E%3Cpolygon fill='%23FFF' points='630 450 720 300 540 300'/%3E%3Cpolygon points='810 450 720 600 900 600'/%3E%3Cpolygon fill='%23DDD' points='810 450 900 300 720 300'/%3E%3Cpolygon fill='%23AAA' points='990 450 900 600 1080 600'/%3E%3Cpolygon fill='%23444' points='990 450 1080 300 900 300'/%3E%3Cpolygon fill='%23222' points='90 750 0 900 180 900'/%3E%3Cpolygon points='270 750 180 900 360 900'/%3E%3Cpolygon fill='%23DDD' points='270 750 360 600 180 600'/%3E%3Cpolygon points='450 750 540 600 360 600'/%3E%3Cpolygon points='630 750 540 900 720 900'/%3E%3Cpolygon fill='%23444' points='630 750 720 600 540 600'/%3E%3Cpolygon fill='%23AAA' points='810 750 720 900 900 900'/%3E%3Cpolygon fill='%23666' points='810 750 900 600 720 600'/%3E%3Cpolygon fill='%23999' points='990 750 900 900 1080 900'/%3E%3Cpolygon fill='%23999' points='180 0 90 150 270 150'/%3E%3Cpolygon fill='%23444' points='360 0 270 150 450 150'/%3E%3Cpolygon fill='%23FFF' points='540 0 450 150 630 150'/%3E%3Cpolygon points='900 0 810 150 990 150'/%3E%3Cpolygon fill='%23222' points='0 300 -90 450 90 450'/%3E%3Cpolygon fill='%23FFF' points='0 300 90 150 -90 150'/%3E%3Cpolygon fill='%23FFF' points='180 300 90 450 270 450'/%3E%3Cpolygon fill='%23666' points='180 300 270 150 90 150'/%3E%3Cpolygon fill='%23222' points='360 300 270 450 450 450'/%3E%3Cpolygon fill='%23FFF' points='360 300 450 150 270 150'/%3E%3Cpolygon fill='%23444' points='540 300 450 450 630 450'/%3E%3Cpolygon fill='%23222' points='540 300 630 150 450 150'/%3E%3Cpolygon fill='%23AAA' points='720 300 630 450 810 450'/%3E%3Cpolygon fill='%23666' points='720 300 810 150 630 150'/%3E%3Cpolygon fill='%23FFF' points='900 300 810 450 990 450'/%3E%3Cpolygon fill='%23999' points='900 300 990 150 810 150'/%3E%3Cpolygon points='0 600 -90 750 90 750'/%3E%3Cpolygon fill='%23666' points='0 600 90 450 -90 450'/%3E%3Cpolygon fill='%23AAA' points='180 600 90 750 270 750'/%3E%3Cpolygon fill='%23444' points='180 600 270 450 90 450'/%3E%3Cpolygon fill='%23444' points='360 600 270 750 450 750'/%3E%3Cpolygon fill='%23999' points='360 600 450 450 270 450'/%3E%3Cpolygon fill='%23666' points='540 600 630 450 450 450'/%3E%3Cpolygon fill='%23222' points='720 600 630 750 810 750'/%3E%3Cpolygon fill='%23FFF' points='900 600 810 750 990 750'/%3E%3Cpolygon fill='%23222' points='900 600 990 450 810 450'/%3E%3Cpolygon fill='%23DDD' points='0 900 90 750 -90 750'/%3E%3Cpolygon fill='%23444' points='180 900 270 750 90 750'/%3E%3Cpolygon fill='%23FFF' points='360 900 450 750 270 750'/%3E%3Cpolygon fill='%23AAA' points='540 900 630 750 450 750'/%3E%3Cpolygon fill='%23FFF' points='720 900 810 750 630 750'/%3E%3Cpolygon fill='%23222' points='900 900 990 750 810 750'/%3E%3Cpolygon fill='%23222' points='1080 300 990 450 1170 450'/%3E%3Cpolygon fill='%23FFF' points='1080 300 1170 150 990 150'/%3E%3Cpolygon points='1080 600 990 750 1170 750'/%3E%3Cpolygon fill='%23666' points='1080 600 1170 450 990 450'/%3E%3Cpolygon fill='%23DDD' points='1080 900 1170 750 990 750'/%3E%3C/g%3E%3C/svg%3E");

                            &.click {
                                display: flex;
                            }

                            .box-close-btn {
                                padding    : 0.5rem;
                                margin-left: auto;
                                cursor     : pointer;

                                &:hover {
                                    
                                    path {
                                        fill: $complementary;
                                    }
                                }
                            }

                            p {
                                position   : absolute;
                                text-shadow: 2px 2px #272727;
                                transition : 200ms ease;

                                &:hover {
                                    transform: scale(1.1);
                                }
                                
                                &:nth-child(2) {
                                    top      : 30px;
                                    left     : 30px;
                                    font-size: 1.5rem;
                                }
                            
                                &:nth-child(3) {
                                    top      : 130px;
                                    left     : 25px;
                                    font-size: 1.5rem;
                                }
    
                                &:nth-child(4) {
                                    top      : 80px;
                                    left     : 140px;
                                    font-size: 1.2rem;
                                }
    
                                &:nth-child(5) {
                                    top      : 185px;
                                    left     : 60px;
                                    font-size: 1.3rem;
                                }
    
                                &:nth-child(6) {
                                    top      : 240px;
                                    left     : 135px;
                                    font-size: 1.3rem;
                                }
                            }
                        }
        
                    }
                    
                    // BOX LIKE SPECIFICATION
                    #like {
                        left            : 0;
                        border-radius   : 15px 0 0 0;
                        background-image: linear-gradient(to right, #2f78a1, #2c719e, #2b699b, #2d6197, #315992);
    
                        &.animate {
                            animation: 1200ms ease-out propos-box;
                        }
    
                        &.click {
                            border-radius: 15px;
                        }

                        p {

                            &:nth-child(3) {
                                left: 75px;
                            }

                            &:nth-child(5) {
                                left: 30px;
                            }
                        }
                    }
        
                    // BOX SOFTSKILL SPECIFICATION
                    #softskill {
                        right           : 0;
                        border-radius   : 0 15px 0 0;
                        background-image: linear-gradient(to right, #315992, #365798, #3f549d, #4951a1, #564ca4);
    
                        &.animate {
                            animation: 1400ms ease-out propos-box;
                        }
    
                        &.click {
                            border-radius: 15px;
                        }
                    }
    
                    // BOX PRO SPECIFICATION
                    #pro {
                        left            : 0;
                        border-radius   : 0 0 0 15px;
                        background-image: linear-gradient(to right, #2f78a1, #2c719e, #2b699b, #2d6197, #315992);
    
                        &.animate {
                            animation: 1800ms ease-out propos-box;
                        }
    
                        &.click {
                            transform    : translate(0px, -150px);
                            border-radius: 15px;
                        }

                        p {
                            
                            &:nth-child(3) {
                                left: 85px;;
                            }
    
                            &:nth-child(4) {
                                left: 150px;
                            }
    
                            &:nth-child(5) {
                                left: 45px;
                            }
                            
                            &:nth-child(6) {
                                left: 85px;
                            }
                        }
                    }
        
                    // BOX LOISIR SPECIFICATION 
                    #loisir {
                        top             : +15px;
                        right           : -8px;
                        width           : 140px;
                        height          : 140px;
                        border-radius   : 0 0 15px 0;
                        background-image: linear-gradient(to right, #315992, #365798, #3f549d, #4951a1, #564ca4);
                        transition: 500ms ease;
                        cursor          : default;

                        @include mobile {
                            top  : +10px;
                            right: 0px;
                        }
    
                        &.animate {
                            animation: 1600ms ease propos-box;
                        }

                        &.hide {
                            opacity   : 0;
                            top       : 0;
                            right     : 0;
                            transition: 500ms ease;
                        }
    
                        // &.click {
                        //     transform    : translate(0px, -150px);
                        //     border-radius: 15px;
                        // } 
                    }
                }
            }
        }

        // TEXT BG
        #propos-bg {
            top  : -100px;
            right: 0px;

            @include tablet {
                top: -130px;
            }

            @include mobile {
                right: auto;
            }
        }
    }
}
